package tp3.appareils;

import java.util.ArrayList;

import tp3.aliments.Aliment;

public class Refrigerateur {
	// Statique : attributs/méthodes attachés à la classe elle-même
	private static ArrayList<Refrigerateur> tousLesRefrigerateurs = new ArrayList<>();
	
	public static void afficheRefrigerateurs() {
		System.out.println("Voici tous les réfrigérateurs");
		int i = 1;
		for (Refrigerateur r : tousLesRefrigerateurs) {
			System.out.println(i+": "+r);
			i++;
		}
	}
	public static Refrigerateur getRefrigerateur(int n) {
		return tousLesRefrigerateurs.get(n-1);
	}

	// Relation de contenance
	ArrayList<Aliment> contenu;
	
	// Attribut
	private String marque;

	// Constructeur
	public Refrigerateur(String marque) {
		this.marque = marque;
		this.contenu = new ArrayList<Aliment>();
		// Mise à jour de la liste «globale» des réfrigérateurs
		tousLesRefrigerateurs.add(this);
	}

	public String getMarque() {
		return marque;
	}
	
	public String toString() {
		String s = "Frigo de marque : "+getMarque()+" [";
		for (Aliment a : this.contenu) {
			s += a+" ";
		}
		s += "]";
		return s;
	}
	
	// Methode de gestion de la relation de contenance
	public void addAliment(Aliment a) {
		this.contenu.add(a);
	}
	
	public void listeAliment() {
		for (Aliment a : this.contenu) {
			System.out.println(a);
		}
	}
}
